Package org.gitana.platform.client.beans

# Class ACLEntry

java.lang.Object
org.gitana.platform.client.beans.ACLEntry

public class ACLEntry extends Object

Author:
  uzi

## Constructor Summary

Constructors
Constructor
Description
`ACLEntry()`

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getAuthorities()`
`String`
`getPrincipal()`
`void`
`setAuthorities(List<String> authorities)`
`void`
`setPrincipal(String principalId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ACLEntry

public ACLEntry()

## Method Details

### setPrincipal

public void setPrincipal(String principalId)

### getPrincipal

public String getPrincipal()

### setAuthorities

public void setAuthorities(List<String> authorities)

### getAuthorities

public List<String> getAuthorities()